/* 
 *  $Id: RouteProtocol.java,v 1.1 1997/10/27 03:58:42 djw Exp $
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */

package ants;

/**
 * Route construction protocol definition
 *
 * @author David Wetherall
 */

final class RouteProtocol extends BuiltinProtocol {
  
  RouteProtocol() throws Exception {
    startProtocolDefn();
    startGroupDefn();

    addCapsule("ants.RouteUpdateCapsule", ants.RouteUpdateCapsule.VERSION);

    endGroupDefn();
    endProtocolDefn();
  }
}

